> ## Documentation Index
> Fetch the complete documentation index at: https://futureagi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add empty rows to a scenario

> Adds a specified number of empty rows to an existing scenario. This is useful for populating a scenario with placeholders for future data entry.



## OpenAPI

````yaml /openapi.json post /model-hub/develops/{dataset_id}/add_empty_rows/
openapi: 3.0.0
info:
  title: FutureAGI Unified API
  version: 1.0.0
  description: >-
    Complete API documentation for FutureAGI platform - Simulate module
    (scenario management, agent definitions, test executions, call analytics)
    and Model Hub Evaluations API (evaluation templates, playgrounds, metrics,
    and execution tracking)
  contact:
    email: support@futureagi.com
servers:
  - url: https://api.futureagi.com
    description: Production API
security: []
tags:
  - name: Health
    description: Health check operations for monitoring server status
  - name: Authentication
    description: User authentication and token management
  - name: Scenarios
    description: Test scenario management and execution
  - name: Agent Definitions
    description: Agent definition CRUD operations
  - name: Agent Versions
    description: Agent version control and management
  - name: Simulator Agents
    description: Simulator agent operations
  - name: Run Tests
    description: Test execution management
  - name: Test Executions
    description: Test execution tracking and analytics
  - name: Call Executions
    description: Individual call execution details
  - name: Call Transcripts
    description: Transcript management and retrieval
  - name: Personas
    description: Persona management for testing
  - name: Analytics
    description: Analytics and reporting
  - name: Export Simulate
    description: Data export operations
  - name: Datasets
    description: >-
      Operations related to datasets, including creation, modification, and data
      management.
  - name: Eval Groups
    description: Evaluation group management
  - name: Eval Templates
    description: Base evaluation template operations
  - name: Custom Eval Templates
    description: Custom evaluation template CRUD operations
  - name: Eval Playground
    description: Test and run evaluations in playground environment
  - name: Eval Logs & Metrics
    description: Evaluation logs, metrics, and execution tracking
  - name: Eval Configuration
    description: Evaluation configuration and templates retrieval
  - name: API Keys
    description: API key management
  - name: Prompt Workbench
    description: Prompt template version labeling and lookup by name, version, or label
paths:
  /model-hub/develops/{dataset_id}/add_empty_rows/:
    post:
      tags:
        - Scenarios
      summary: Add empty rows to a scenario
      description: >-
        Adds a specified number of empty rows to an existing scenario. This is
        useful for populating a scenario with placeholders for future data
        entry.
      operationId: addEmptyRowsToDataset
      parameters:
        - name: dataset_id
          in: path
          required: true
          description: The UUID of the dataset to which the empty rows will be added.
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                num_rows:
                  type: integer
                  description: >-
                    The number of empty rows to add to the dataset. Must be a
                    positive integer.
                  default: 1
                  minimum: 1
            examples:
              add-single-row:
                summary: Add a single empty row
                value:
                  num_rows: 1
              add-multiple-rows:
                summary: Add ten empty rows
                value:
                  num_rows: 10
      responses:
        '200':
          description: >-
            Successfully added the specified number of empty rows to the
            dataset.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: true
                  result:
                    type: string
                    example: Successfully added 1 empty row(s)
        '400':
          description: >-
            Bad Request. The provided 'num_rows' is not a valid positive
            integer.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '404':
          description: Not Found. The dataset with the specified ID does not exist.
        '429':
          description: >-
            Too Many Requests. The organization has reached its row limit and
            cannot add more rows.
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while trying to
            add the rows.
      security:
        - ApiKeyAuth: []
          SecretKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        API Key for authentication. Click
        [here](https://app.futureagi.com/dashboard/keys) to access API Key
    SecretKeyAuth:
      type: apiKey
      in: header
      name: X-Secret-Key
      description: >-
        Secret Key for authentication. Click
        [here](https://app.futureagi.com/dashboard/keys) to access Secret Key

````